6.2 F-PROT Antivirus Daemon Scanner options

This section applies to F-PROT Antivirus for UNIX File Server and Mail Server versions only

#### Startup options

Use these when starting the F-PROT Antivirus Daemon Scanner.

Options | Description
-f, --foreground | Causes the Daemon Scanner to run in the foreground and never to fork off a new process. The default behaviour is to detach from the tty and run as a daemon.
-d, --defpath </path/to/deffile> | Instructs the Daemon Scanner to use the specified antivir.def instead of looking in the default locations.
-a, --address | Instructs the Daemon Scanner to listen for scanning requests on the specified address:port instead of the default (127.0.0.1:10200).
--logfile </path/to/logfile> | Instructs the Daemon Scanner to use the specified logfile instead of syslog.
-h, --help | Displays commandline usage and quits.

#### Scanning options

Options | Description
--scanlevel | Instructs the Daemon Scanner which scanlevel to use: 0 => Disable regular scanning (only heuristics). 1 => Skip suspicious data files. Not recommended if filename is unavailable. 2 => (Default) Unknown and/or wrong extensions will be emulated. 3 => Unknown binaries emulated. 4 => For scanning virus collections, no limits for emulation
--archive=n [default=5] | Scan inside supported archives n levels deep, the supported range is between 1 and 99, the default level is 5. Supported archives are .zip, .cab, .tar, .gz, .izh and .arj files. Currently F-PROT Antivirus does not support disinfection or removal of infected files within archives. Unix mailboxes are considered to be archives and therefore F-PROT Antivirus is not able to remove infected attachments.
--heurlevel=n [default=2] | How aggressive heuristic should be used. Higher levels means more heuristic tests are done which increases both detection rates AND risk of false positives. Supported range is 0 - 4, default is 2.
--adware | Instructs the Daemon Scanner to flag adware.
--applications | Instructs the Daemon Scanner to flag potentially unwanted applications.
--disinfect | Disinfect whenever possible. F-PROT Antivirus does not support disinfection of infected objects located in archives.
--macros_safe | Remove all macros from infected documents.
--macros_new | Remove all macros from document when new variant is found.
--stripallmacros | Remove all macros from document.

Back to Index

Copyright © 2007 FRISK Software International. All rights reserved